import { MikroOrmModule } from '@mikro-orm/nestjs';
import { Module } from '@nestjs/common';

import { AppController } from './app.controller';
import { AppService } from './app.service';
import { database } from './config/database.config';
import { moduleImports } from './module.list';

@Module({
    imports: [
        MikroOrmModule.forRoot({
            ...database(),
            registerRequestContext: true,
            // autoLoadEntities: true,
        }),
        ...moduleImports,
    ],
    controllers: [AppController],
    providers: [AppService],
})
export class AppModule {}
