import { Migrator } from '@mikro-orm/migrations';
import { defineConfig, Utils } from '@mikro-orm/postgresql';

import { moduleImports } from '@/module.list';
import { getEntities } from '@/modules/database/helpers';

export const database = () =>
    defineConfig({
        host: '127.0.0.1',
        user: 'postgres',
        password: '123456',
        dbName: '3rapp',
        entities: getEntities(moduleImports),
        extensions: [Migrator, SeedManager],
        migrations: {
            tableName: 'migrations',
            path: Utils.detectTsNode() ? 'src/database/migrations' : 'dist/database/migrations',
        },
    });
export default database();
